import { FuseNavigation } from 'src/@fuse/types';

export const navigation: FuseNavigation[] = [
  {
    id: 'dashboard',
    title: 'Dashboard',
    translate: 'navigation.dashboard.title',
    type: 'collapsable',
    icon: 'dashboard',
    children: [
      {
        id: 'dashboard-ucap',
        title: 'UCAP',
        translate: 'navigation.dashboard.ucap.title',
        type: 'item',
        icon: 'email',
        url: '/dashboard/main'
      },
      {
        id: 'dashboard-mariadb',
        title: 'MariaDB',
        translate: 'navigation.dashboard.mariadb.title',
        type: 'item',
        icon: 'email',
        url: '/dashboard/mariadb'
      }
    ]
  },
  {
    id: 'statistics',
    title: 'Statistics',
    icon: 'insert_chart',
    translate: 'navigation.statistics.title',
    type: 'item',
    url: '/statistics'
  },
  {
    id: 'settings',
    title: 'Settings',
    icon: 'settings',
    translate: 'navigation.settings.title',
    type: 'collapsable',
    children: [
      {
        id: 'settings-general',
        title: 'General',
        translate: 'navigation.settings.general.title',
        type: 'item',
        icon: 'settings_applications',
        url: '/settings/general'
      },
      {
        id: 'settings-dashboard',
        title: 'Dashboard',
        translate: 'navigation.settings.dashboard.title',
        type: 'item',
        icon: 'dashboard',
        url: '/settings/dashboard'
      },
      {
        id: 'settings-alarm',
        title: 'Alarm',
        translate: 'navigation.settings.alarm.title',
        type: 'item',
        icon: 'alarm',
        url: '/settings/alarm'
      },
      {
        id: 'settings-etc',
        title: 'Etc',
        translate: 'navigation.settings.etc.title',
        type: 'item',
        icon: 'subject',
        url: '/settings/etc'
      }
    ]
  }
];
